#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

my $x = Math::MPFI->new('[1,7]');
my $a = Math::MPFR->new();

Rmpfi_mid ($a, $x);
print "mid($x)      = $a\n";

Rmpfi_diam_abs($a, $x); 
print "diam_abs($x) = $a\n";

Rmpfi_diam_rel($a, $x); 
print "diam_rel($x) = $a\n";

Rmpfi_diam($a, $x); 
print "diam($x)     = $a\n";

Rmpfi_mag($a, $x); 
print "mag($x)      = $a\n";

Rmpfi_mig($a, $x); 
print "mig($x)      = $a\n";
