#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

my $x = Math::MPFI->new('[0,1]');
my $y = Math::MPFI->new('[-1,1]');

my $f=exp($x);
print "exp($x) \t= $f\n";

$f=log($x);
print "log($x) \t= $f\n";

$f=sqrt($x);
print "sqrt($x) \t= $f\n";

$f=sqrt($y);
print "sqrt($y) \t= $f\n";
