#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

Rmpfi_set_default_prec(32);

my $x0 = Math::MPFI->new('[1,2]');
my $x1 = $x0;
my $i = 0;

do {
  $x0 = $x1;
  print "x($i) \t= $x0\n";
  $i++;
  $x1 = 1+$x0/3;
  if (!Rmpfi_is_inside($x1, $x0)) {
    print "x($i) \t= $x1\n";
    die "Not a nested sequence!\n";
  }
} until (Rmpfi_is_inside($x0, $x1));
